package net.northking.cctp.executePlan.dto.planEntrust;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * <p>Title: EngineInfoListDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/20
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class EngineInfoListDto implements Serializable {

    @ApiModelProperty("设备类型")
    private String type;

    @ApiModelProperty("引擎信息")
    private List<Map<String,String>> engineInfoList;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<Map<String, String>> getEngineInfoList() {
        return engineInfoList;
    }

    public void setEngineInfoList(List<Map<String, String>> engineInfoList) {
        this.engineInfoList = engineInfoList;
    }
}
